CodecFlavour (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface CodecFlavour

-     public interface CodecFlavour

  Implement this interface to access unique identifiers for flavours of codec. These codec flavours can be used to specify a codec definition in more detail than just using its codec constant allows. All the flavours listed here relate to the DV family of codecs (CDCI) using DCT block-based compression.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `DV_Based_25Mbps_525_60` DV stream compliant with SMPTE 314M or SMPTE 370M for 525 line video at 60Hz, streamed at a rate of 25 Mbps.
    `static AUID` | `DV_Based_25Mbps_625_50` DV stream compliant with SMPTE 314M or SMPTE 370M for 625 line video at 50Hz, streamed at a rate of 25 Mbps.
    `static AUID` | `DV_Based_50Mbps_525_60` DV stream compliant with SMPTE 314M or SMPTE 370M for 525 line video at 60Hz, streamed at a rate of 50 Mbps.
    `static AUID` | `DV_Based_50Mbps_625_50` DV stream compliant with SMPTE 314M or SMPTE 370M for 625 line video at 50Hz, streamed at a rate of 50 Mbps.
    `static AUID` | `IEC_DV_525_60` DV stream compliant with IEC 61834-2 for 525 line video at 60 Hz.
    `static AUID` | `IEC_DV_625_50` DV stream compliant with IEC 61834-2 for 625 line video at 50 Hz.
    `static AUID` | `LegacyDV_525_60` DV stream representing 625 line video at 50 Hz not compliant with standards defined for other codec flavours in this interface.
    `static AUID` | `LegacyDV_625_50` DV stream representing 525 line video at 60Hz not complaint with standards defined for other codec flavours in this interface.
    `static AUID` | `None` No codec flavour is specified.

- - ### Field Detail

    - #### None

          static final AUID None

      No codec flavour is specified.

    - #### LegacyDV_625_50

          static final AUID LegacyDV_625_50

      DV stream representing 525 line video at 60Hz not complaint with standards defined for other codec flavours in this interface.

    - #### LegacyDV_525_60

          static final AUID LegacyDV_525_60

      DV stream representing 625 line video at 50 Hz not compliant with standards defined for other codec flavours in this interface.

    - #### IEC_DV_625_50

          static final AUID IEC_DV_625_50

      DV stream compliant with IEC 61834-2 for 625 line video at 50 Hz. The video chroma format is 4:2:0 and this format is used for standards known as DV, miniDV and DVCam.

    - #### IEC_DV_525_60

          static final AUID IEC_DV_525_60

      DV stream compliant with IEC 61834-2 for 525 line video at 60 Hz. The video chroma format is 4:1:1 and this flavour is used for standards known as DV, miniDV and DVCam.

    - #### DV_Based_25Mbps_525_60

          static final AUID DV_Based_25Mbps_525_60

      DV stream compliant with SMPTE 314M or SMPTE 370M for 525 line video at 60Hz, streamed at a rate of 25 Mbps. The video chroma format is 4:1:1 and this flavour is used for standards commonly known as DVC Pro and Digital S.

    - #### DV_Based_25Mbps_625_50

          static final AUID DV_Based_25Mbps_625_50

      DV stream compliant with SMPTE 314M or SMPTE 370M for 625 line video at 50Hz, streamed at a rate of 25 Mbps. The video chroma format is 4:1:1 and this flavour is used for standards commonly known as DVC Pro and Digital S.

    - #### DV_Based_50Mbps_525_60

          static final AUID DV_Based_50Mbps_525_60

      DV stream compliant with SMPTE 314M or SMPTE 370M for 525 line video at 60Hz, streamed at a rate of 50 Mbps. The video chroma format is 4:2:2 and this flavour is used for standards commonly known as DVC Pro and Digital S.

    - #### DV_Based_50Mbps_625_50

          static final AUID DV_Based_50Mbps_625_50

      DV stream compliant with SMPTE 314M or SMPTE 370M for 625 line video at 50Hz, streamed at a rate of 50 Mbps. The video chroma format is 4:2:2 and this flavour is used for standards commonly known as DVC Pro and Digital S.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.